import { useEffect, useState } from "react";
import { actionFindUser, backendURL } from "../../actions";
import AsyncSelect from 'react-select/async';
import { connect } from "react-redux";
import { Link } from "react-router-dom";



const formatOptionLabel = ({value,label,avatar}) => {
    return(
        <div className="flex">

            <img src={avatar ?`${backendURL}/${avatar.url}`: ""} alt="avatar" className="rounded-full w-36 h-36"/>
            <Link to={`/user/${value}`}>{label}</Link>
        </div>
    )
}

const SearchInput = ({onSearch}) => {
   
    

   const promiseOptions = (inputValue) =>
        onSearch(inputValue).then(users => users.map(user =>({value: user._id, label:user.nick,avatar:user.avatar})))        
        /* promise.then(res => filterUsers(res)); */

   
    return(
        <>
        {/* <input  className="SearchInput" type="text" placeholder="search" onChange={event => setSearchTerm(event.target.value)}/>  
        <CSearchResults/> */}
        <AsyncSelect
            /* className="SearchInput" */
            loadOptions={promiseOptions}
            formatOptionLabel={formatOptionLabel}
        />
        </>
    )
}

const CSearchInput = connect(null,{onSearch: actionFindUser})(SearchInput)

export default CSearchInput;