import { connect } from "react-redux";
import { backendURL } from "../../actions";


const Post = ({post:post})=>{
    
    return (
        <div className="w-1/3 p-px md:px-3">
            <article className="post bg-gray-100 text-white relative pb-full md:mb-6">
            <img src={`${backendURL}/${post.images[0].url}`} className="w-full h-96 object-cover"/>
            </article>
        </div>
    )
}


const UserPosts = ({userPost = []}) =>{
    return(
        <div className="flex flex-wrap -mx-px md:-mx-3">
            {userPost.map(post =><Post post={post}/>)}
        </div>
    )
}


const CUserPosts = connect(state =>({userPost: state.promise?.userPost?.payload || []}))(UserPosts) 


export default CUserPosts;